**Full name**: projects.locations.featureOnlineStores.featureViews.sync

Triggers on-demand sync for the FeatureView.

### Endpoint

post `https://{service-endpoint}/v1/{featureView}:sync`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`featureView` `string` Required. Format: `projects/{project}/locations/{location}/featureOnlineStores/{featureOnlineStore}/featureViews/{featureView}`

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.featureOnlineStores.featureViews/sync#google.cloud.aiplatform.v1.FeatureOnlineStoreAdminService.SyncFeatureView`.

If successful, the response body contains data with the following structure:
Fields `featureViewSync` `string` Format: `projects/{project}/locations/{location}/featureOnlineStores/{featureOnlineStore}/featureViews/{featureView}/featureViewSyncs/{featureViewSync}`

| JSON representation |
|---|
| ``` { "featureViewSync": string } ``` |

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `featureView` resource:

- `aiplatform.featureViews.sync`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).